<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::StringRef Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ab0adc7198d60867c2842b998ae456795">begin</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ab0adc7198d60867c2842b998ae456795">begin</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a1669cb2765e820ca258159676cbd82a5">c_str</a>() const -&gt; char const *</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a1669cb2765e820ca258159676cbd82a5">c_str</a>() const -&gt; char const *</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> typedef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> typedef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ab0f85edde9f97153fc758fac3bb14507">data</a>() const noexcept -&gt; char const *</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ab0f85edde9f97153fc758fac3bb14507">data</a>() const noexcept -&gt; char const *</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a0b4841c28cbb14ba07296964a0187023">empty</a>() const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a0b4841c28cbb14ba07296964a0187023">empty</a>() const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a3ce9afc711b559d6cc59666898fc0828">end</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a3ce9afc711b559d6cc59666898fc0828">end</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a646e58f5f4e1f5e82cfba06d9fd5d016">isNullTerminated</a>() const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a646e58f5f4e1f5e82cfba06d9fd5d016">isNullTerminated</a>() const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a91ee253f5b7e43303352186139845753">m_size</a></td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a45f38edd8d2a56a66626f4895b3071fc">m_start</a></td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ad9fde21785affacc32d7da7a70d74e93">operator std::string</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#ad9fde21785affacc32d7da7a70d74e93">operator std::string</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aaa6c8bf61c4628034c19763d1c8ad215">operator!=</a>(StringRef const &amp;other) const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aaa6c8bf61c4628034c19763d1c8ad215">operator!=</a>(StringRef const &amp;other) const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aabb30149ab961187e4b3ff3394bf6e73">operator==</a>(StringRef const &amp;other) const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aabb30149ab961187e4b3ff3394bf6e73">operator==</a>(StringRef const &amp;other) const noexcept -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a4ba2e01eec1f0f56c257d213c796ab3b">operator[]</a>(size_type index) const noexcept -&gt; char</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a4ba2e01eec1f0f56c257d213c796ab3b">operator[]</a>(size_type index) const noexcept -&gt; char</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a29b06b99995b450e28abbec9e800b2dc">s_empty</a></td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a>() const noexcept -&gt; size_type</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a>() const noexcept -&gt; size_type</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> typedef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> typedef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a611907867225695d38198c058758c92d">StringRef</a>() noexcept=default</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aea45f5089c53adac362bff6bd7c40943">StringRef</a>(char const *rawChars) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a36df94807491c0ad84184fb8e44e1a7c">StringRef</a>(char const *rawChars, size_type size) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a7fe41469048f906e9a847798cd335f23">StringRef</a>(std::string const &amp;stdString) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a611907867225695d38198c058758c92d">StringRef</a>() noexcept=default</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#aea45f5089c53adac362bff6bd7c40943">StringRef</a>(char const *rawChars) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a36df94807491c0ad84184fb8e44e1a7c">StringRef</a>(char const *rawChars, size_type size) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a7fe41469048f906e9a847798cd335f23">StringRef</a>(std::string const &amp;stdString) noexcept</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a594bc3e10ffad77df92f7d1a4c99d7ff">substr</a>(size_type start, size_type length) const noexcept -&gt; StringRef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1StringRef.html#a594bc3e10ffad77df92f7d1a4c99d7ff">substr</a>(size_type start, size_type length) const noexcept -&gt; StringRef</td><td class="entry"><a class="el" href="classCatch_1_1StringRef.html">Catch::StringRef</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
